Loading...
Searching...
No Matches
IterTraits< NodeT, typename NodeT::ChildAllIter > Struct Template Reference

`#include <openvdb/tree/TreeIterator.h>`

## Classes

struct | NodeConverter

## Public Types

using | IterT = typename NodeT::ChildAllIter

## Static Public Member Functions

static IterT | begin (NodeT &node)
template<typename ChildT>
static ChildT * | getChild (const IterT &iter)

## Member Typedef Documentation

## IterT

template<typename NodeT>

using IterT = typename NodeT::ChildAllIter

## Member Function Documentation

## begin()

template<typename NodeT>

IterT begin | ( | NodeT & | node | ) |

inline static

## getChild()

template<typename NodeT>
template<typename ChildT>

ChildT * getChild | ( | const IterT & | iter | ) |

inline static